<?php
require "header.php";
$admin = true;
require "authenticatie.php";
include $_SERVER["DOCUMENT_ROOT"]."/editor/fckeditor.php";

$knop			=	$_POST["knop"];
$naam			=	$_POST["naam"];
$omschrijving	=	$_POST["omschrijving"];
$prijs			=	$_POST["prijs"];
$categorieid	=	$_POST["categorieid"];
$artikelid		=	$_POST["artikelid"];

if ($knop && $naam && $omschrijving && $prijs) { // artikel ingevoerd?
$sql = "INSERT INTO Artikel (Naam, Omschrijving, Prijs) VALUES ('$naam', '$omschrijving', $prijs)";

if (!mysql_query($sql)) { // voer SQL code uit
echo "Toevoegen artikel mislukt!";
		exit;
} else {
$artikelid = mysql_insert_id(); // primaire sleutel van zojuist toegevoegde rij
$sql = "INSERT INTO Categorie_per_Artikel (ARTIKEL_ID, CATEGORIE_ID) VALUES ($artikelid, $categorieid)";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Toevoegen categorie mislukt!";
		exit;
		}
}
echo "OK, uw artikel $naam is toegevoegd.";	
} elseif ($knop) {
$sql = "INSERT INTO Categorie_per_Artikel (ARTIKEL_ID, CATEGORIE_ID) VALUES ($artikelid, $categorieid)";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Toevoegen categorie mislukt!";
		exit;
}
echo "OK, uw artikel $naam is toegevoegd.";	
}
if ($knop) {
?>
<p><div class="big">Artikel toevoegen</div><br>
<form method="post" action="<?php echo $_SERVER["PHP_SELF"] ?>">
<input type="hidden" name="naam" value="<?php echo $naam ?>">
<input type="hidden" name="artikelid" value="<?php echo $artikelid ?>">

Voeg eventueel een extra categorie toe aan het artikel <b><?php echo $naam ?></b><br>
Selecteer een categorie: <select name="categorieid">
<?php
	$sql = "SELECT * FROM Categorie";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	while ($rij = mysql_fetch_array($resultaat)) {
echo "<option value=\"";
echo $rij["CATEGORIE_ID"]."\">";
echo $rij["Naam"]."</option>\n";
	}

?>
</select><br>
<input type="submit" name="knop" value="toevoegen">
<?php

}  else {
?>

<form method="post" action="<?php echo $_SERVER["PHP_SELF"] ?>">
Selecteer een categorie: <select name="categorieid">
<?php
	$sql = "SELECT * FROM Categorie";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	while ($rij = mysql_fetch_array($resultaat)) {
echo "<option value=\"";
echo $rij["CATEGORIE_ID"]."\">";
echo $rij["Naam"]."</option>\n";
	}
?>
</select><br>
Artikel naam: <input type="text" name="naam"><br>
Artikel omschrijving:<br>
<?php
		$oFCKeditor = new FCKeditor('omschrijving') ;
		$oFCKeditor->BasePath	= "/editor/"; // het pad naar de editor
		$oFCKeditor->Value		= 'Geef hier de omschrijving';
		$oFCKeditor->ToolbarSet = 'Default';
		$oFCKeditor->Height		= '200';
		$oFCKeditor->Width		= '100%';
		$oFCKeditor->Create();
?>
Artikel prijs: <input type="text" name="prijs"><br>
<input type="submit" name="knop" value="toevoegen">
</form>
<?php 
  }

require "footer.php";

?>
